Preview a Backpack order or RFQ
Validates and normalizes the order/RFQ and returns a previewId. Review before executing.
Body·
required
application/json
Order or RFQ payload
- Type: integerclient
Id Integer numbers.
- Type: "order" or "rfq"enummode
- Type: stringorder
Type - Type: stringprice
- Type: stringquantity
- Type: stringside
- Type: stringsymbol
- additionalPropertyType: anythingproperty
Name
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/api/backpack/trade/preview
curl https://api.musebook.trade/api/backpack/trade/preview \
--request POST \
--header 'Content-Type: application/json' \
--data '{
"mode": "order",
"symbol": "",
"side": "",
"orderType": "",
"quantity": "",
"price": "",
"clientId": 1,
"additionalProperty": "anything"
}'
{
"ok": true,
"additionalProperty": "anything"
}